Subject: Re: [PATCH v2 2/4] dt-bindings: gnss: add mediatek binding

From: Johan Hovold <[email-masked]>
Date: Fri, 15 Feb 2019 17:00:47 +0100

On Fri, Feb 15, 2019 at 01:10:35PM +0100, Loys Ollivier wrote:
> 
> On Thu 14 Feb 2019 at 09:11, Johan Hovold <[email-masked]> wrote:
> 
> > On Wed, Feb 13, 2019 at 04:24:00PM +0100, Loys Ollivier wrote:
> >> On Mon 11 Feb 2019 at 14:17, Loys Ollivier <[email-masked]> wrote:
> >> > On Mon 11 Feb 2019 at 08:33, Johan Hovold <[email-masked]> wrote:
> >
> >> >> Right, but please do look around for other receivers using this chipset
> >> >> so that we can make the binding generic enough to cover those as well
> >> >> (e.g. by choosing representative resource names).
> >> >>
> >> > OK will have a look.
> >> 
> >> The only mt3339-based receivers I have found are:
> >> - [0] Globaltop
> >> - [1] Locosys / Pololu
> >> They both only provide the UART interface and do not list the I2C/SPI
> >> interfaces.
> >> 
> >> [0] https://cdn-shop.adafruit.com/datasheets/GlobalTop-FGPMMOPA6H-Datasheet-V0A.pdf
> >> [1] https://www.pololu.com/file/0J641/LS20030~3_datasheet_v1.3.pdf
> >
> > I found tree more:
> >
> Ah nice.
> 
> >  - Globaltop PA6C
> >
> >    - https://cdn-shop.adafruit.com/datasheets/GlobalTop-FGPMMOPA6C-Datasheet-V0A-Preliminary.pdf
> >
> >  - Linx RM series
> >    - https://linxtechnologies.com/wp/wp-content/uploads/rxm-gps-rm.pdf
> 
> This is a different chip: MT3337; Apparently this chip only provides an
> UART interface: https://labs.mediatek.com/en/chipset/MT3337
> However it looks interesting. I'll look for a sample to test it in the
> future :)

Bah, sorry, I used the wrong link. Here's the mt3339-based one:

	https://linxtechnologies.com/wp/wp-content/uploads/rxm-gps-fm.pdf

But hopefully we can reuse this driver for mt3337 and any other
variants too.

> >  - ublox IT530
> >    - https://www.u-blox.com/sites/default/files/products/documents/IT530_DataSheet_%28FTX-HW-12008%29.pdf
> >
> > All with uart-interface only and similar pins names, although the ublox
> > device do have some additional features we can worry about later.
> >
> > As all but the ublox device use VBACKUP for the backup supply, do you
> > mind if I change the binding to use "vbackup-supply" instead of
> > "v-bckp-supply" (which is a ublox-ism) when applying?
> 
> I don't mind. You can go ahead and change the binding.
> For reference, the v4 patch serie:
> https://lkml.kernel.org/r/[email-masked]

Thanks, now updated and applied.

Johan

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel